commit:     55f3bbb391206dd1d41e64c190d3029d932de4b5
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 23 19:03:50 2023 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Feb 23 19:06:12 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55f3bbb3

sys-apps/xdg-desktop-portal: add 1.16.0

Required eautoreconf this time.

Closes: https://bugs.gentoo.org/895324
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sys-apps/xdg-desktop-portal/Manifest               |  1 +
 .../xdg-desktop-portal-1.16.0.ebuild               | 64 ++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/sys-apps/xdg-desktop-portal/Manifest 
b/sys-apps/xdg-desktop-portal/Manifest
index 5d5988e5bafc..fd2b5623de4f 100644
--- a/sys-apps/xdg-desktop-portal/Manifest
+++ b/sys-apps/xdg-desktop-portal/Manifest
@@ -1 +1,2 @@
 DIST xdg-desktop-portal-1.15.0.tar.xz 521732 BLAKE2B 
a49ab7a1462771c628a24f9759e239dd3f8233b26c2a5f6e9fc848e00eb36c74a21cd1fd4d43af0c0f46782c46d6a822af86fd7b49fa1f77a1cbd96452a00348
 SHA512 
98b36841c54bdd5221c0719e9646abb7f117351ff780682591c269d2a57f7b1946deaef38c2caa6474e1048e283a68c55a791e8d2a0be000ca9e563ed98c28ef
+DIST xdg-desktop-portal-1.16.0.tar.xz 250524 BLAKE2B 
9d5bd760621b114a19c1cc8895f91c43fcfed0dd067ba9678de0f11dc7835ec29c4a2c452274adbd36ee1318359caa8d7ca0c585558eb73a2a4e53528e6b02da
 SHA512 
f7e7e96d3a6757901fbc4c0310aac0afbf37882c279a2859e06f63528049cd9b50dd2d55445d1386f03f62557c1a2ec81d4ee081200367d6269d2dffc75f0912

diff --git a/sys-apps/xdg-desktop-portal/xdg-desktop-portal-1.16.0.ebuild 
b/sys-apps/xdg-desktop-portal/xdg-desktop-portal-1.16.0.ebuild
new file mode 100644
index 000000000000..5f3a38ec9574
--- /dev/null
+++ b/sys-apps/xdg-desktop-portal/xdg-desktop-portal-1.16.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools systemd
+
+DESCRIPTION="Desktop integration portal"
+HOMEPAGE="https://flatpak.org/ https://github.com/flatpak/xdg-desktop-portal";
+SRC_URI="https://github.com/flatpak/${PN}/releases/download/${PV}/${P}.tar.xz";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="geolocation screencast systemd"
+
+DEPEND="
+       >=dev-libs/glib-2.66:2
+       dev-libs/json-glib
+       >=sys-fs/fuse-3.10.0:3[suid]
+       x11-libs/gdk-pixbuf
+       geolocation? ( >=app-misc/geoclue-2.5.3:2.0 )
+       screencast? ( >=media-video/pipewire-0.3:= )
+       systemd? ( sys-apps/systemd )
+"
+RDEPEND="${DEPEND}
+       sys-apps/dbus
+"
+BDEPEND="
+       dev-util/gdbus-codegen
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --disable-docbook-docs # requires flatpak
+               --disable-libportal # not packaged
+               --with-systemduserunitdir="$(systemd_get_userunitdir)"
+               $(use_enable geolocation geoclue)
+               $(use_enable screencast pipewire)
+               $(use_with systemd)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+pkg_postinst() {
+       if ! has_version gui-libs/xdg-desktop-portal-lxqt && ! has_version 
gui-libs/xdg-desktop-portal-wlr && \
+               ! has_version kde-plasma/xdg-desktop-portal-kde && ! 
has_version sys-apps/xdg-desktop-portal-gnome && \
+               ! has_version sys-apps/xdg-desktop-portal-gtk; then
+               elog "${PN} is not usable without any of the following XDP"
+               elog "implementations installed:"
+               elog "  gui-libs/xdg-desktop-portal-lxqt"
+               elog "  gui-libs/xdg-desktop-portal-wlr"
+               elog "  kde-plasma/xdg-desktop-portal-kde"
+               elog "  sys-apps/xdg-desktop-portal-gnome"
+               elog "  sys-apps/xdg-desktop-portal-gtk"
+       fi
+}

Reply via email to